angular.module('ngApp').controller('PhotosCtrl', function($scope, $ionicModal, $ionicScrollDelegate, $http, $sce) {

	$scope.content = '';

	$ionicModal.fromTemplateUrl('image-modal.html', {
		scope: $scope,
		animation: 'slide-in-up',
		hardwareBackButtonClose: true
	}).then(function($ionicModal) {
		$scope.modal = $ionicModal;
	});

	var updated = false;
	$scope.openModal = function(index) {
		$scope.modal.show();
		if(!updated && true) {
			$scope.slider.update();
			updated = true;
		}
		$scope.slider.slideTo(index , 0, $scope.slideChanged(index));
	};

	$scope.closeModal = function() {
		$scope.modal.hide();
	};

	$scope.zoom = function(){
		if($scope.inZoom){
			$ionicScrollDelegate.$getByHandle('zoom-pane-'+ $scope.slideIndex).zoomTo(1,true);
			$scope.inZoom = false;
		}else{
			$ionicScrollDelegate.$getByHandle('zoom-pane-' + $scope.slideIndex).zoomTo(2,true);
			$scope.inZoom = true;
		}
	}
	// Called each time the slide changes
	$scope.slideChanged = function(index) {
		$ionicScrollDelegate.$getByHandle('zoom-pane-' + $scope.slider.previousIndex).zoomTo(1,true);
		$scope.slideIndex = index;
	};

	$scope.sharex = function(subject,imageID) {
		var image = document.getElementById(imageID).src;
		image = image.replace("file:///android_asset/", "");
		window.plugins.socialsharing.share(null, subject, image, null);
	}

	$scope.$watch('sl', function() {
		if(typeof($scope.sl) != 'undefined')
		{
			$scope.loading = true;

			$http({method: 'GET',cache: true, noLoading : true, url: url + '/api/v1/widget/route/photos/getImages/' + $scope.sl})
			.success(function(data) {
				if(typeof(data.images[0].image) != 'undefined'){

					$scope.images = data.images;
					$scope.colClass = data.class;
					$scope.share = data.share;
					$scope.content = $sce.trustAsHtml(data.content);
				}
				$scope.loading = false;
			})
			.error(function(){
				$scope.loading = false;
				checkYourInternet();
			});
		}
	});

	$scope.$on("$ionicSlides.slideChangeStart", function(event, data){
		$scope.slideChanged($scope.slider.activeIndex)
	});

	$scope.$on("$ionicSlides.sliderInitialized", function(event, data){
	  // grab an instance of the slider
	  $scope.slider = data.slider;
	});

});
